<?php

    if(empty($model->Cliente)) {
        User::blockAction('Não foi possível identificar o cliente');
    }
    if(!$model->Cliente->isAllowed()) {
        User::blockAction('Este documento não pertence a nenhuma Unidade de Negócios em que você tenha permissão');
    }

    $this->PageTitle = false;

    $somarValores = ($model->COT_VLRIMPLANTACAO < 1);
    $vencimentos = "<ul>";
    foreach ($model->Vencimentos as $vencimento) {
        $vencimentos .= '<li>Data: <b>'.$vencimento->COV_DATA."</b> Valor: <b>".Util::verMoeda($vencimento->COV_VALOR).'</b><li>';
        if($somarValores)
            $model->COT_VLRIMPLANTACAO += $vencimento->COV_VALOR;
    $vencimentos .= "</ul>";
    }
    $this->renderPartial('_menu', array('model' => $model));
?>
    <h1>Contratos &raquo; Visualizar &raquo; <?= $model->COT_CLI_NOME; ?><?= $model->getIconAssinatura(); ?><?= $model->getIconAutomatico(); ?></h1>
<?php
    $include = '_table_contrato';
    switch ($model->COT_SITUACAO) {
        case Contratos::CONTRATO:
        case Contratos::ADENDO:
            $include = '_table_contrato';
            break;
        case Contratos::PEDIDO:
        case Contratos::PEDIDO_IMPLANTACAO:
        case Contratos::PEDIDO_CUSTOMIZACAO:
        case Contratos::PEDIDO_REATIVACAO:
            $include = '_table_pedido';
            break;
        case Contratos::ORCAMENTO:
            $include = '_table_orcamento';
            break;
        case Contratos::TERMO_CANCELAMENTO:
            $include = '_table_termo_cancelamento';
            break;
        case Contratos::TRANSFERENCIA_SISTEMA:
            $include = '_table_transferencia_sistema';
            break;
        case Contratos::TRANSFERENCIA_BANCO_ENVIO:
        case Contratos::TRANSFERENCIA_BANCO_RECEPCAO:
            $include = '_table_transferencia_banco';
            break;
    }

    $model->refresh();
    $this->renderPartial($include, array(
        'model' => $model,
        'complementares' => $complementares,
        'dadosSolicitacaoTermo' => $dadosSolicitacaoTermo,
        'vencimentos' => $vencimentos,
    ));
?>
<?php if (!in_array($model->COT_SITUACAO, [Contratos::TRANSFERENCIA_BANCO_ENVIO, Contratos::TRANSFERENCIA_BANCO_RECEPCAO])) { ?>

<?php
    if ($model->COT_SITUACAO == Contratos::PEDIDO_IMPLANTACAO) {
        $this->renderPartial('_table_informacoes', array('model' => $model));
    }
?>
<?php
    if ($model->COT_SITUACAO == Contratos::PEDIDO_IMPLANTACAO && !empty($model->ConversaoDados)) {
        $this->renderPartial('_table_conversao', array('model' => $model->ConversaoDados[0]));
    }
?>
<?php
    // if (strlen($model->COT_CLI_CNPJCPF) == 14) {
    //     $model->COT_CLI_CNPJCPF = substr($model->COT_CLI_CNPJCPF, 0, 2).'.'.
    //                               substr($model->COT_CLI_CNPJCPF, 2, 3).'.'.
    //                               substr($model->COT_CLI_CNPJCPF, 5, 3).'/'.
    //                               substr($model->COT_CLI_CNPJCPF, 8, 4).'-'.
    //                               substr($model->COT_CLI_CNPJCPF, 12, 2);
    // } elseif (strlen($model->COT_CLI_CNPJCPF) == 11) {
    //     $model->COT_CLI_CNPJCPF = substr($model->COT_CLI_CNPJCPF, 0, 3).'.'.
    //                               substr($model->COT_CLI_CNPJCPF, 3, 3).'.'.
    //                               substr($model->COT_CLI_CNPJCPF, 6, 3).'-'.
    //                               substr($model->COT_CLI_CNPJCPF, 9, 2);
    // }
?>

    <div class="info-cliente atendimentos">
        <div class="col-xs-12 header">
            <b>Dados do cliente</b>: <?php echo $model->COT_CLI_NOME; ?>
        </div>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="rdm-view">
            <tr class="odd">
                <td><strong>CNPJ/CPF</strong></td>
                <td><?php echo Util::formataCNPJCPF($model->COT_CLI_CNPJCPF); ?></td>
                <td><strong>Inscrição Estadual</strong></td>
                <td><?php echo $model->COT_CLI_INSCR_EST; ?></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
            </tr>
            <tr class="even">
                <td><strong>Endereço</strong></td>
                <td><?php echo $model->COT_CLI_ENDERECO; ?></td>
                <td><strong>Número</strong></td>
                <td><?php echo $model->COT_CLI_NUMERO; ?></td>
                <td><strong>Complemento</strong></td>
                <td><?php echo $model->COT_CLI_COMPLEMENTO; ?></td>
                <td></td>
                <td></td>
            </tr>
            <tr class="odd">
                <td><strong>Bairro</strong></td>
                <td><?php echo $model->COT_CLI_BAIRRO; ?></td>
                <td><strong>Cidade</strong></td>
                <td><?php echo Util::getCidadeEstado($model->COT_CLI_CIDADE); ?></td>
                <td><strong>CEP</strong></td>
                <td><?php echo $model->COT_CLI_CEP; ?></td>
                <td><strong>Telefone</strong></td>
                <td><?php echo $model->COT_CLI_FONE1; ?></td>
            </tr>
            <tr class="even">
                <td><strong>E-mail</strong></td>
                <td><?php echo $model->COT_CLI_EMAIL; ?></td>
                <td><strong>Unidade de Negócios</strong></td>
                <td><?php echo $model->Revenda;?></td>
                <td><strong>Como nos Conheceu</strong></td>
                <td><?= $model->ComoConheceu; ?></td>
                <?php if ($model->COT_SITUACAO == Contratos::CONTRATO) { ?>
                    <td><strong>Motivo do <br>Fechamento <br>Positivo</strong></td>
                    <td><?= $model->MotivoFechamentoPositivo ?? "Não informado"; ?></td>
                <?php } else { ?>
                    <td></td>
                    <td></td>
                <?php } ?>
            </tr>
        </table>
    </div>
<?php } ?>

<br />
<br />
<br />

<?php if (in_array(User::getPrivilegio() , array(1, 7, 11, 17, 19)) && $model->COT_SITUACAO != Contratos::ORCAMENTO) { ?>
<div id="div-vincular-cliente">
    <div class="form">
        <?php
        $form = $this->beginWidget('GxActiveForm', array(
            'action' => Yii::app()->createUrl("contratos/vincularDocumentos"),
            'id' => 'clientes-vinculados-form',
            'enableAjaxValidation' => false,
            ));
       ?>
            <?php if (!in_array($model->COT_SITUACAO, [Contratos::TRANSFERENCIA_BANCO_ENVIO, Contratos::TRANSFERENCIA_BANCO_RECEPCAO])) { ?>
                <h2>Vincular documento</h2>
                <div style="width: 465px;">
                    <?php
                        $message = 'Se você alterar o documento selecionado, o mesmo perderá o vínculo atual! <br /><br />';

                        $conditions = 'COT_IDCLIENTE = ' . $model->COT_IDCLIENTE . ' ';
                        switch ($model->COT_SITUACAO) {
                            case Contratos::ADENDO:
                            case Contratos::CONTRATO:
                                $conditions .= ' AND COT_SITUACAO IN ('.Contratos::PEDIDO_IMPLANTACAO.', '.Contratos::PEDIDO_REATIVACAO.','.Contratos::PEDIDO_CUSTOMIZACAO.') ';
                                break;

                            case Contratos::PEDIDO:
                            case Contratos::PEDIDO_IMPLANTACAO:
                            case Contratos::PEDIDO_REATIVACAO:
                            case Contratos::PEDIDO_CUSTOMIZACAO:
                                $conditions .= ' AND COT_SITUACAO IN ('.Contratos::ADENDO.', '.Contratos::CONTRATO.') ';
                                break;
                        }
                        $result = Contratos::model()->findAll($conditions);
                        $dados = array();
                        foreach($result as $doc) {
                            $dados[$doc->COT_IDCONTRATO] = $doc->COT_IDCONTRATO . ' - ' . Util::getTipoDocumento($doc->COT_SITUACAO);
                        }
                        if(empty($dados)) {
                            $message .= '<b>Não há nenhum documento que seja possível vincular!</b>';
                        }

                        echo FaHtml::alert($message, 'danger', false, false);
                    ?>
                </div>
                <div class="row">
                    <?php
                        echo $form->hiddenField($model, 'COT_IDCONTRATO');
                        echo $form->dropDownList($model, 'COT_DOCUMENTOVINCULADO', $dados, array('prompt' => 'Selecione'));
                        echo $form->error($model, 'COT_DOCUMENTOVINCULADO');
                    ?>
                </div>
                <input type="hidden" name="redirect" value="view" />
                <?php echo FaHtml::saveButton(); ?>
            <?php } ?>
            <?php if (!empty($model->COT_DOCUMENTOVINCULADO)) { ?>
                <h2><?php echo GxHtml::encode('Documento Vinculado'); ?></h2>
                <?php
                $vinculado = Contratos::model()->find('COT_IDCONTRATO = ' . $model->COT_DOCUMENTOVINCULADO);
                if($vinculado)
                    echo '<a href="'.Yii::app()->createUrl("contratos/view", array("id"=>$vinculado->COT_IDCONTRATO)).'">'. $vinculado->COT_IDCONTRATO .' - '.Util::getTipoDocumento($vinculado->COT_SITUACAO).'</a>';
                ?>
            <?php } ?>
        <?php $this->endWidget(); ?>
        <div class="clear"></div>
    </div><!-- form -->
</div>
<?php } ?>

<?php
$cs = Yii::app()->getClientScript();

$css = <<<CSS
    .alert {
        margin-top: 25px;
    }
CSS;
$cs->registerCss(Util::uid(), $css, 'screen');
